# $Revision: 1.61 $, $Date: 2007/08/01 22:14:00 $
Summary:	aterm - terminal emulator in an X Window System
Summary(pl.UTF-8):	aterm - emulator terminala dla X Window System
Summary(pt_BR.UTF-8):	Um emulador de vt102 colorido
Name:		aterm
Version:	1.0.1
Release:	1
License:	GPL
Vendor:		Sasha Vasko <sashav@sprintmail.com>
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/aterm/%{name}-%{version}.tar.bz2
# Source0-md5:	c2eede028e1011e0ec7035cf319c9b5a
Source1:	%{name}.desktop
Patch0:		%{name}-utempter.patch
Patch1:		%{name}-wtmp.patch
Patch2:		%{name}-etc_dir.patch
URL:		http://www.afterstep.org/aterm.php
BuildRequires:	autoconf
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	utempter-devel
BuildRequires:	xorg-lib-libXt-devel
Requires:	terminfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
aterm is a colour vt102 terminal emulator based on rxvt 2.4.8 with
Alfredo Kojima's additions of fast transparency, intended as an
xterm(1) replacement for users who do not require features such as
Tektronix 4014 emulation and toolkit-style configurability. As a
result, aterm uses much less swap space -- a significant advantage on
a machine serving many X sessions. It was created with AfterStep
Window Manger users in mind, but is not tied to any libraries, and can
be used anywhere.

%description -l pl.UTF-8
aterm jest kolorowym emulatorem terminala vt102, opartym na rxvt 2.4.8
z dodatkami Afredo Kojima do szybkiej emulacji przezroczystości. W
założeniu ma zastąpić program xterm(1) użytkownikom nie wymagającym
takich rzeczy jak emulacja terminala Tektronix 4014 oraz
"toolkit-style configurability". W efekcie aterm używa dużo mniej
pamięci swap -- co jest dużą zaletą w systemach obsługujących liczne
sesje Xów. Został stworzony z myślą o użytkownikach AfterStepa, ale
nie jest związany z żadnymi specyficznymi bibliotekami i może być
używany gdziekolwiek.

%description -l pt_BR.UTF-8
Aterm é um emulador de terminal vt102 baseado no rxvt 2.4.8, com a
adição de fundo transparente. Aterm é um substituto para o xterm, mais
leve.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd autoconf
%{__autoconf}
cp -f ./configure ..
cd ..
LDFLAGS="%{rpmldflags} -lutempter -L%{_libdir}"
export LDFLAGS

%configure \
	--enable-ttygid \
	--enable-wtmp \
	--enable-background-image \
	--with-term=rxvt \
	--with-png \
	--with-jpeg \
	--enable-transparency \
	--enable-fading \
	--enable-menubar \
	--enable-graphics \
	--enable-xgetdefault \
	--enable-next-scroll
#	--enable-utmp \

CFLAGS="%{rpmcflags}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

tar -cf docs.tar doc/etc doc/menu

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog doc/README* doc/FAQ docs.tar
%{_mandir}/man1/*
%attr(755,root,root) %{_bindir}/aterm
%{_desktopdir}/aterm.desktop


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: aterm.spec,v $
Revision 1.61  2007/08/01 22:14:00  lisu
- 1.0.1
- STBR

Revision 1.60  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.59  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.58  2006/03/23 16:53:40  megabajt
- modular xorg deps
- release 2 for Th

Revision 1.57  2005/08/11 09:11:26  havner
- rel 1 (works for me)

Revision 1.56  2005/08/11 08:24:02  havner
- removed home_end.patch (already in sources)
- removed copy.patch (seems to be implemented in sources)

Revision 1.55  2005/07/31 00:33:35  hunter
- up to 1.0.0
- added manpage in %files

Revision 1.54  2005/04/06 16:15:34  darekr
- gpm-friendly Source0

Revision 1.53  2004/08/30 22:13:04  blues
- cosmetics

Revision 1.52  2004/08/12 14:22:15  havner
- home_end patch
- rel 9

Revision 1.51  2004/05/03 00:01:28  leafnode
- applied patch fixing copying characters other than ascii
- release 8

Revision 1.50  2004/03/28 21:00:08  adgor
- Swithed to vfolders
- Rel ++

Revision 1.49  2003/11/23 05:19:17  speedy
- release 6

Revision 1.48  2003/11/03 19:57:09  leafnode
- fixed gausus' fixes (gausus, goddammit, rpmbuild $specname before commit...)

Revision 1.47  2003/10/09 20:46:10  gausus
- NeXT Scroll restored

Revision 1.46  2003/08/15 11:30:07  havner
- Added Requires: terminfo

Revision 1.45  2003/08/06 16:30:01  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.44  2003/07/07 19:05:55  qboosh
- fixed "small fixes"

Revision 1.43  2003/07/07 04:23:50  blues
- many small fixes, inspired by kloczek

Revision 1.42  2003/06/11 22:53:10  misi3k
- updated Source0 URL

Revision 1.41  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.40  2003/05/25 05:45:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.39  2003/04/07 12:22:02  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.38  2003/03/23 13:33:32  juandon
- added home_etc.patch
- Release 5

Revision 1.37  2003/01/18 22:45:26  juandon
- removed two lines with define

Revision 1.36  2002/09/07 11:02:56  kloczek
- release 4: use new %doc.

Revision 1.35  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.34  2002/04/25 15:49:05  arturs
fixed a small typo

Revision 1.33  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.32  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/02/03 20:42:24  ankry
- adding es/pt/pt_BR Group translations

Revision 1.30  2002/01/18 02:12:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.29  2001/11/28 22:32:45  qrczak
- TERM=rxvt describes aterm better than TERM=xterm-color.
- Release 3.

Revision 1.28  2001/11/22 18:21:35  kloczek
- release 2: move desktop file to Terminals/.

Revision 1.27  2001/11/19 08:38:59  kloczek
- merged translations stolen from CNV,
- fixed bashizm in %build,
- cosmetics.

Revision 1.26  2001/10/11 11:58:26  qboosh
- BuildRequires: autoconf

Revision 1.25  2001/09/11 20:37:30  filon
- updated to 0.4.2
- added rebuilding configuration files, works with ac 2.50
- %%configure back again
- added BReqs: libpng-devel and libjpeg-devel

Revision 1.24  2001/07/27 21:10:12  blues
- 0.4.0
- URL changed - projekt has moved
- one more buildrequires: XFree86-devel
- %configure2_13 used - autoconf broken package
- some work with docs
NOTE: this terminal has some trouble with terminal-sequences - FIXME
NOTE: afterstep and utmp support is commented out

Revision 1.23  2001/05/02 00:42:07  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.22  2000/09/09 07:01:17  kloczek
- release 7.

Revision 1.21  2000/06/09 07:22:47  kloczek
- added using %%{__make} macro.

Revision 1.20  2000/05/26 23:23:13  kloczek
- release 6,
- move aterm desktop file from Utilities to System.

Revision 1.19  2000/05/17 23:02:35  kloczek
- spec adapterized.

Revision 1.18  2000/04/26 14:04:48  mikrobi
- fading option enabled
- buildrequires utempter-devel

Revision 1.17  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.15  2000/02/16 21:30:21  kloczek
- release 5,
- added Icon to desktop file for aterm.

Revision 1.14  2000/02/16 08:20:11  kloczek
- release 4,
- cosmetics.

Revision 1.13  2000/02/15 15:08:02  zagrodzki
- adapter(ized)
- added polish %description and Summary:
- removed "--disable-delete-key" and "--disable-backspace-key" (for not to
  be handled internally)
- added "--term=xterm-color" (default terminal type)
- changed (almost) all /usr/... to %{_...}
- "make DESTDIR=... install" instead of "make prefix=... install"
- %configure instead of ./configure

Revision 1.12  1999/12/01 13:21:47  lukasz
- changed instal to install (section install) ;)

Revision 1.11  1999/09/04 09:13:11  wiget
- %{_sysconfdir}/X11/applnk -> %{_prefix}/share/applnk

Revision 1.10  1999/07/16 14:08:59  baggins
- added patches for utempter
- desktop instead of wmconfig
- cleanup

Revision 1.9  1999/07/15 16:42:33  baggins
- gziping docs
- minor fixes

Revision 1.8  1999/07/13 16:39:38  baggins
- cleanup for PLD

Revision 1.7  1999/07/12 23:05:53  kloczek
- added using CVS keywords in %changelog (for automating them).

Based on spec written by Ryan Weaver <ryanw@infohwy.com>
